waydroid (1.4.1-7+git20240602150758.796e942.trixie) trixie; urgency=medium

  * container_manager: add methods for sharing a folder between guest and host
  * session_manager: add methods to get session status
  * IStatusBar: add methods for shutdown and restart over gbinder
  * container_manager: add a method to remove apps
  * helpers: lxc: send keyevent 224 on wakeup and 223 on sleep
  * debian: don't fail on waydroid init failure

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 02 Jun 2024 11:07:58 -0400

waydroid (1.4.1-7) trixie; urgency=medium

  * container_manager: first kill sensord before starting it

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 02 May 2024 18:41:00 -0400

waydroid (1.4.1-6) trixie; urgency=medium

  * container_manager: add methods for checking if there are any apps open
  * notification_client: open the specific app on notification open action
  * notification_client: close and recreate notification if package names are equal

 -- Bardia Moshiri <fakeshell@bardia.tech>  Mon, 29 Apr 2024 22:36:54 -0400

waydroid (1.4.1-5) trixie; urgency=medium

  * treewide: add support for notification between host and guest
  * user_manager: don't hide icons anymore
  * tools: add a function to toggle screen in ContainerManager
  * circleci: use furilabs
  * container_manager: add methods for screen sleep status
  * user_manager: hide default apps except settings and Waydroid full ui
  * data: hide waydroid desktop files
  * user_manager: hide microg and settings icons
  * user_manager: mark default apps as NoDisplay instead of not creating desktop files
  * session_manager: always set background_start to true
  * add waydroid-session service for autostart

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 18 Apr 2024 21:58:54 -0400

waydroid (1.4.1-4) trixie; urgency=medium

  * [packaging] postinst: do not init waydroid if there is no supplied images

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 02 Oct 2023 22:22:13 +0200

waydroid (1.4.1-3) trixie; urgency=medium

  [ Alessandro Astone ]
  * Revert "Update Matrix link"
  * Let logcat command terminate in issue template instructions
  * More logs for the issue template
  * IHardware: Add new upgrade transaction capable of 64-bit timestamps
  * interfaces: Return binder error when receiving an unknown transaction
  * Fix logcat command after #996
  * README: Update matrix link
  * Fix issues with AppStream metadata
  * user_manager: Add icon to the app_settings action

  [ Arusekk ]
  * user_manager: Respect user umask and use less code

  [ HenryDavidThoreau ]
  * Add iptables as Debian dependency

  [ Азалия Смарагдова ]
  * Allow running a shell command as an arbitrary user and group and with an arbitrary security context (#996)
  * Allow local amendments to the AppArmor policy

  [ Marcel Partap ]
  * clipboard: change warning message to be less misleading

  [ dabao1955 ]
  * Update issue temple (#1018)

  [ cyan ]
  * CI: add support for ubuntu mantic

 -- Alessandro Astone <ales.astone@gmail.com>  Sat, 30 Sep 2023 12:55:16 -0400

waydroid (1.4.1-2) trixie; urgency=medium

  [ Bardia Moshiri ]
  * Merge tag upstream/1.4.1 into feature/trixie/upgrade-1.4.1
  * data: add waydroids icon to the desktop file
  * Merge pull request #2 from droidian/feature/trixie/upgrade-1.4.1
  * tools: hide desktop files for installed apps

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [skip ci] Move to Droidian rolling

  [ Alessandro Astone ]
  * Makefile: Install apparmor dir
  * Makefile: Don't enable the apparmor profiles if packaging
  * debian: Install apparmor profiles
  * Also support SUSE apparmor
  * Change apparmor profile at runtime
  * lxc: Only enable apparmor if the profile is currently loaded
  * apparmor: Remove unnecessary includes
  * clipboard: Return empty string if error
  * lxc: Fixup LXC config versioning
  * lxc: Mount /dev/shm which might host XDG_RUNTIME_DIR
  * Revert "Mount proc with the hidepid=2 option"
  * tools: Upver to 1.3.4
  * debian: Upver to 1.3.4
  * lxc: Fixup apparmor detection
  * lxc: Allow shell and logcat from frozen
  * initializer: Move triggers to dbus
  * Move session IPC to dbus
  * Makefile: Install dbus service
  * app_manager: Allow install/remove/list while frozen
  * tools: Remove umask 0
  * initializer: Require admin authentication for remote initialization with custom channels
  * lxc: Workaround against lxc changing logfile permissions
  * tools: Allow prop commands while frozen
  * gpu: Also mount card node
  * Make overlays opt-out
  * Make session more resilient to start failures
  * container: Allow stopping without killing the session deamon
  * mount: Only disable overlayfs xino on kernels that support it
  * version: Don't fail when uname contains only two numbers
  * session: Dump the full exception to log file when failed to start
  * lxc: Attach with proper environment
  * security: Verify session user_id against DBus connection
  * session: Also log dbus connection exceptions
  * fixup! security: Verify session user_id against DBus connection
  * lxc: Create session-specific mount entries
  * upgrade: Restart container through DBus
  * upgrade: Drop more privileges during 1.4.0 migration
  * upgrade: Fallback to stopping container manually
  * upgrade: Remove session.cfg during 1.4.0 migration
  * security: Verify session pid against DBus connection
  * container_manager: Mount rootfs last
  * lxc: Improve session config error message
  * app_manager: Fix IPlatform error logging
  * interfaces: Fix ServiceManager race condition in clients
  * session: Provide waydroid.background_start bool
  * Add apk mimetype handler
  * user_manager: Fix app removal
  * session: Provide waydroid.host_data_path prop
  * interfaces: Remove presence handler after use
  * Disable overlays if mounting fails once
  * lxc: Handle lxc-info failure
  * initializer: Restart container through DBus
  * Update github issue template
  * Add developer_name to appstream metadata
  * Upver to 1.4.0
  * debian: Upver to 1.4.0
  * CI: Add ubuntu lunar
  * Revert "All AppArmor profiles have been switched to the "enforce" mode."
  * user_manager: Do not crash when install applications during boot
  * lxc: Add /dev/tty
  * Upver to 1.4.1
  * debian: Upver to 1.4.1

  [ Maximilian Wende ]
  * Add device IP address to status, auto adb connect

  [ Saptarshi Sarkar ]
  * Create CODE_OF_CONDUCT.md

  [ Rikka ]
  * Add missing environment variable BOOTCLASSPATH to waydroid shell

  [ Boruch Baum ]
  * .desktop files should not be executable (#815)

  [ Азалия Смарагдова ]
  * Adding AppArmor profiles for the container.
  * Temporarily switching all profiles to "complain" mode in order to work out policy mistakes.
  * Policies have been adjusted for Android 11.
  * AppArmor policy setup has been moved to the Makefile
  * * Makefile adjustments
  * All AppArmor profiles have been switched to the "enforce" mode.

  [ Rudra Saraswat ]
  * Add X-WayDroid-App category to WayDroid desktop files (#810)

  [ snoutie ]
  * Add App Settings to .desktop file

  [ Jami Kettunen ]
  * net: Fix vnic name selection for LXC <=2
  * session: warn about unset WAYLAND_DISPLAY instead of XDG_SESSION_TYPE
  * session: Add strict WAYLAND_DISPLAY validity checks
  * debian: Unify waydroid.postinst indentation
  * props: Drop unneeded ';' from end of return line
  * lxc: Only add /dev/ashmem to config_nodes when it exists
  * container: Make "waydroid-net.sh start" failure fatal
  * net: Don't fail start when already running
  * version: Fix "NameError: name 're' is not defined"
  * container: Extend nfcd stop/start hacks to systemd
  * images: Cleanup Waydroid Updater zips after extracting
  * arch: Fallback to arm on weird arm64 kernels with 32-bit userspace
  * Fix last hardcoded direct usages of AppIcon.png
  * waydroid.app.install.desktop: Don't hardcode waydroid binary path

  [ doomsdayrs ]
  * Update appstream

  [ Mo 森 ]
  * packaging: install icons to xdg icons resource path, and get the .desktop file to use relative icon name

  [ GalaxySnail ]
  * Use `command -v` instead of `which`

  [ Sebastian Krzyszkowiak ]
  * hardware-manager: Optionally stop the session on suspend
  * desktop: Mark as compatible with mobile form factor
  * helpers/mount: Check for failed umounts only umounting the whole list
  * helpers/mount: Allow to specify explicit mount type and options
  * helpers/mount: Add an option to mount even if mount point already exists
  * Mount overlays on top of image mount points
  * Remove RW image overlay when upgrading images

  [ Zhao Zuohong ]
  * Fix prop set command

  [ Maxime Brunet ]
  * fix(shell): allow command to have arguments

  [ chenxiex ]
  * Update README.md

 -- Bardia Moshiri <fakeshell@bardia.tech>  Wed, 05 Jul 2023 04:50:41 +0000

waydroid (1.3.3-1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Replace Drone with CircleCI
  * Merge tag 'upstream/1.3.3' into feature/bookworm/upgrade-1.3.3

  [ Alessandro Astone ]
  * Set aidl version based on the android version
  * Add -w flag for waiting for init
  * debian: Start container waiting for init if not already
  * Downgrade x86_64 to x86 if no SSE4.2
  * app_manager: Factor out common function to start session then launch
  * app_manager: Add launch intent
  * Fixup market:// handler
  * Improve robustness of the dynamic aidl version picker
  * init: Always redownload the image when changing parameters
  * Default nvidia to swiftshader
  * Disable OTA updater when using preinstalled images
  * Add first-launch command
  * Revert "Add first-launch command"
  * Support upgrading major android versions
  * Add first-launch command [v2]
  * Show first-launch icon on wayland gtk
  * Add appstream metadata
  * tools: Upver to 1.3.0
  * debian: Upver to 1.3.0
  * Makefile: Allow installing over an existing installation
  * Makefile: Allow overriding directories without having to know the DESTDIR
  * debian: Use /lib/systemd/system for units
  * CI: Restore versioned debian
  * Add mainline vulkan support
  * Detect HIDL gralloc4
  * tools: Upver to 1.3.1
  * debian: Upver to 1.3.1
  * app_manager: Don't rmdir /data/waydroid_tmp after install
  * gpu: Disable nouveau support
  * Rebuild waydroid.prop after live upgrade
  * Quiet ashmem modprobe errors
  * tools: Upver to 1.3.2
  * debian: Upver to 1.3.2
  * lxc: Finer-grained config control
  * Configure multiple preinstalled images paths
  * tools: Upver to 1.3.3
  * debian: Upver to 1.3.3
  * Enable OpenGL ES 3.1

  [ Азалия Смарагдова ]
  * A "No New Privileges" has been enabled for the container.
  * Container capabilities have been restricted.
  * A seccomp profile for the entire container has been added.
  * Remove CAP_SYS_MODULE from the capability bounding set.
  * Mount proc with the hidepid=2 option

  [ Jami Kettunen ]
  * container: Only umount /sys/fs/cgroup/schedtune if needed
  * debian: Move waydroid-container.service under new toplevel systemd dir
  * gbinder: Remove unnecessary configs
  * Makefile: Add distro-agnostic buildsystem
  * debian: Adapt to new Makefile buildsystem
  * Makefile: Install waydroid binary without relative symlink

  [ cyan ]
  * ci: update to jammy
  * CI: add support for rolling releases

  [ Maxiee ]
  * fix typo in arguments.py

  [ Wachid Adi Nugroho ]
  * Add Android Market Protocol Handler
  * waydroid.market.desktop: update some properties
  * waydroid.market.desktop: use `waydroid app intent`
  * Makefile: Add prefix for systemd directory

  [ Mitchel Stewart ]
  * Allows waydroid to create PTY (#349)
  * make waydroid-net more flexible (#267)

  [ Michel Alexandre Salim ]
  * Update Matrix link

  [ Alfred Neumayer ]
  * lxc: Optionally bind-mount NFC config

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 08 Nov 2022 01:16:40 +0100

waydroid (1.2.1-1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/1.2.1' into bookworm

  [ Kenny MacDermid ]
  * Mount TUN device for use by Android VPNs.

  [ Alessandro Astone ]
  * Set sys.use_memfd=true if ashmem is not present
  * http: Handle malformed urls

  [ Alfred Neumayer ]
  * tools: Fix device names with spaces in initializer

  [ Erfan Abdi ]
  * config: Switch to https for OTA channels
  * Update issue templates
  * Update issue templates
  * Update issue templates
  * tools: Upver to 1.2.1
  * debian: Upver to 1.2.1

  [ Jon West ]
  * Merge pull request #286 from darkdragon-001/funding

  [ Dark Dragon ]
  * Add FUNDING file.

  [ aditya raj ]
  * add size units and speed in download progress bar

  [ Christophe Chapuis ]
  * Add an optional [properties] in waydroid.cfg

  [ Florian Franzen ]
  * scripts: make sure misc subfolder exists

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Jun 2022 15:03:56 +0200

waydroid (1.2.0-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/1.1.1' into feature/bullseye/waydroidtool
  * [waydroid] Promote package

  [ r3vn ]
  * [ci] build using Drone CI
  * [debian] depends on waydroid system/vendor images and waydroid-sensors
  * [debian] added waydroid init on postinst
  * Merge branch 'upstream' into feature/bullseye/waydroidtool
  * Merge remote-tracking branch 'waydroid/bullseye' into feature/bullseye/waydroidtool

  [ Rinigus ]
  * container: strip possible trailing newline from pid

  [ Erfan Abdi ]
  * Waydroid: Initial commit
  * actions: Make sure container is running for showFullUI
  * config: Edit system_channel (systems -> system)
  * Add support for preinstalled images
  * gbinder: Add anbox binders config
  * Add missing “/dev” for waydroid-sensord
  * Use kill for sensors
  * container_manager: Add fail exit to make sure container is started
  * tools: Add restart container
  * Add debian packaging
  * lxc: Stop checking binder nodes on make_entry
  * tools: Fully restart services
  * container: Don’t burn XDG permissions
  * user: Only hide Waydroid app on multi-win
  * actions: Start session by lunching apps
  * data: Install Waydroid launcher by default
  * debian: Add systemd service
  * init: Add check for work dir before mkdir
  * data: Update app logo
  * drivers: Improve binderfs loading
  * tools: Fix typo on stop container
  * tools: Drop requests library dependency
  * tools: Rename pre-init log file
  * ci: Add .abstruse.yml
  * user: Add “waydroid” prefix to desktop files
  * tools: Drop need of sudo as much as possible
  * lxc: Add WSLg support
  * lxc: Provide /var/run to container
  * lxc: Provide all fb and video nodes to container
  * container: Don’t crash on sensord
  * lxc: Mount /dev/null for container
  * lxc: Enable vndk lite for mainline devices
  * lxc: Use v4l2 camera hal on mainline
  * tools: Upver to 1.1.0
  * debian: Upver to 1.1.0
  * user: Create apps dir if doesn’t exists
  * drivers: Allocate binder nodes dynamically
  * session: Move waydroid user data to XDG_DATA_HOME
  * lxc: Include tmp runtime dirs to container
  * tools: Upver to 1.1.1
  * debian: Upver to 1.1.1
  * drivers: Keep devices arg on modprobe
  * net: Disable NFT by default
  * container: Use umount -l for schedtune
  * container: Add missing powervr nodes chmod
  * drivers: Add bonder nodes support
  * images: Decode http retrieve for older pythons
  * lxc: Add more sphal paths to find_hal
  * lxc: Skip host_perms on non treble devices
  * lxc: Add non-treble camera support
  * lxc: Make sure vibrator sys nodes are writable
  * session: Nuke old data dir movement
  * lxc: Get device info props from host
  * config: Update waydroid ota channel urls
  * tools: Upver to 1.2.0
  * debian: Upver to 1.2.0
  * props: Use subprocess for host getprop
  * lxc: Fix bad eol of proc dt values

  [ GDR! ]
  * Remove downloaded system images which failed checksum verification
  * Resume initialization if not complete

  [ Nbiba Bedis ]
  * log: don't panic on ctrlc
  * container: Umount on stop
  * upgrade: show progress
  * lxc: workaround weird log permission bug
  * upgrade: log that no we will not upgrade if a preinstalled image exists
  * container: don't panic if binder device already exists
  * session: don't panic when removing old userdata if its not empty
  * log: More resilient logging

  [ John Zimmermann ]
  * lxc: do prepend colon to Android PATHs in shell
  * arch: detect armv8l as 32bit arm

  [ plata ]
  * user_manager: Use one variable for apps dir

  [ Aleksey Samoilov ]
  * debian: Add LXC as dependency

  [ Samuel Sloniker ]
  * Fix grammar and spelling in README (#104)

  [ Adam Dymitruk ]
  * fix grammar mistakes in the readme

  [ Danct12 ]
  * tools: fix shell path env

  [ Bart Ribbers ]
  * config: Store data in /var/lib/waydroid rather than /home/.waydroid
  * tools: Remove unused requests import

  [ Jon West ]
  * Readme: Add documentation site

  [ Daniel Thompson ]
  * tools: helpers: Fix typo "waeiod" -> "waydroid"

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 27 Nov 2021 19:53:10 +0100

